Bug 502871 - X crash in f11 on ATI FireGL
X crash in f11 on ATI FireGL
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
card_R300e/M
:
: 522739 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-27 11:11 EDT by David
Modified: 2018-04-11 05:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-05 11:11:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log after last crash (64.78 KB, text/plain)
2009-05-27 11:11 EDT, David
no flags Details
it crashed again in f11 (75.22 KB, text/plain)
2009-06-13 12:31 EDT, David
no flags Details

  None (edit)
Description David 2009-05-27 11:11:21 EDT
Created attachment 345623 [details]
Xorg.0.log after last crash

Description of problem:
X spontaneously exits when clicking on a skype chat

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati.i586   6.12.2-14.fc11
xorg-x11-server-Xorg.i586               1.6.1.901-1.fc11             
xorg-x11-server-common.i586             1.6.1.901-1.fc11            


How reproducible:
It has happened two times in a row for me, but the steps I take are probably
not going to be reproducible by others.

Steps to Reproduce:
1. Click on a specific missed skype chat message
2.
3.
  
Actual results:
X exits and restarts

Expected results:
X doesn't exit

Additional info:
01:00.0 VGA compatible controller: ATI Technologies Inc RV370 5B64 [FireGL V3100 (PCIE)] (rev 80)
Comment 1 David 2009-05-27 11:26:41 EDT
This happened 3 out of 3 times before a reboot.  After a reboot,
it didn't happen.
Comment 2 Matěj Cepl 2009-05-28 12:44:07 EDT
OK, if this happens again please reopen.
Comment 3 Bug Zapper 2009-06-09 12:38:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 David 2009-06-13 12:31:11 EDT
Created attachment 347750 [details]
it crashed again in f11

This is the version I'm running now:
xorg-x11-drv-ati-6.12.2-14.fc11.i586
Comment 5 David 2009-06-13 12:42:54 EDT
Same exact symptoms as last time... 100% reproducible before reboot, not reproducible immediately after a reboot.
Comment 6 Matěj Cepl 2009-06-23 18:36:44 EDT
FreeType: couldn't open face /usr/share/fonts/cjkuni/ukai.ttc: 1
FreeType: couldn't open face /usr/share/fonts/cjkuni/ukai.ttc: 1
FreeType: couldn't open face /usr/share/fonts/cjkuni/ukai.ttc: 1
FreeType: couldn't open face /usr/share/fonts/cjkuni/ukai.ttc: 1
FreeType: couldn't open face /usr/share/fonts/cjkuni/ukai.ttc: 1

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812d07b]
1: /usr/bin/Xorg(xf86SigHandler+0x9e) [0x80c061e]
2: [0xf99400]
3: /usr/bin/Xorg(AddResource+0x192) [0x806e1c2]
4: /usr/bin/Xorg [0x8171b8b]
5: /usr/bin/Xorg [0x816bbc5]
6: /usr/bin/Xorg(Dispatch+0x347) [0x80864d7]
7: /usr/bin/Xorg(main+0x395) [0x806baf5]
8: /lib/libc.so.6(__libc_start_main+0xe6) [0x37aa66]
9: /usr/bin/Xorg [0x806afa1]

Fatal server error:
Caught signal 11.  Server aborting
Comment 7 Red Crayon 2009-07-07 11:44:34 EDT
It's happening to me, too.  

xorg-x11-drv-ati-6.12.2-14.fc11.x86_64
Comment 8 Volker Braun 2009-09-19 13:11:15 EDT
For me, this is 100% reproducible: Xorg always dies when I click on the skype chat button (the blue "speech bubble with lines" icon in skype). Running today's xorg update:

xorg-x11-server-Xorg-1.6.4-0.1.fc11.x86_64
xorg-x11-server-common-1.6.4-0.1.fc11.x86_64
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64

02:00.0 VGA compatible controller: ATI Technologies Inc R520 [Radeon X1800]

My backtrace gives slightly more info than #6: 

========== Xorg.0.log begin ==================
[...]
(II) RADEON(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) RADEON(0): Modeline "0x0"x0.0    0.00  0 0 0 0  0 0 0 0 (0.0 kHz)
(II) RADEON(0): EDID for output DVI-1

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e8516]
1: /usr/bin/Xorg(xf86SigHandler+0x6f) [0x47d82f]
2: /lib64/libc.so.6 [0x31aec33370]
3: /usr/bin/Xorg(AddResource+0x1e3) [0x42f863]
4: /usr/bin/Xorg(ProcCreatePixmap+0x1b2) [0x443132]
5: /usr/bin/Xorg(Dispatch+0x394) [0x4471d4]
6: /usr/bin/Xorg(main+0x3b5) [0x42d205]
7: /lib64/libc.so.6(__libc_start_main+0xfd) [0x31aec1ea2d]
8: /usr/bin/Xorg [0x42c689]

Fatal server error:
Caught signal 11.  Server aborting


Please consult the The X.Org Foundation support 
         at http://wiki.x.org
 for help. 
Please also check the log file at "/var/log/Xorg.0.log" for additional information.
========== Xorg.0.log end ==================
Comment 9 Matěj Cepl 2009-11-05 13:29:54 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 10 David 2009-11-05 16:23:58 EST
It happened to me twice recently in up to date fedora 11.  
It has not happened in rawhide, but I'm not able to use skype in rawhide 
because I've always had to un-install pulseaudio for skype to work
and pulseaudio dependencies are too many for me to remove it anymore.
Comment 11 Matěj Cepl 2009-11-08 18:34:20 EST
(In reply to comment #10)
> It happened to me twice recently in up to date fedora 11.  
> It has not happened in rawhide, but I'm not able to use skype in rawhide 
> because I've always had to un-install pulseaudio for skype to work
> and pulseaudio dependencies are too many for me to remove it anymore.  

I needed to install some compat-* packages, but I have managed some time (early after Alpha) to make http://www.skype.com/download/skype/linux/choose/ working in Rawhide and it worked just fine with Pulseaudio (actually, it officially supports PA these days).

Anyway, leaving this opened. Let us know, whether you will manage to upgrade to Rawhide.
Comment 12 Chris Campbell 2009-11-27 13:18:38 EST
*** Bug 522739 has been marked as a duplicate of this bug. ***
Comment 13 Matěj Cepl 2010-02-26 07:24:04 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 14 David 2010-03-01 11:38:35 EST
I'm running f12 on that system now with the latest linux skype beta and I
haven't seen that problem in quite a while.  I can't say for sure because
it was so intermittent, but I'm guessing the bug is fixed.
Comment 15 Matěj Cepl 2010-03-05 11:11:02 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.